/**
 * Created by Administrator on 2019/01/02 0018.薪酬管理
 */
import dynamic from 'dva/dynamic';

// wrapper of dynamic
const dynamicWrapper = (app, models, component) =>
  dynamic({
    app,
    models: () => models.map(m => import(`../models/${m}.js`)),
    component
  });

export const PublicSafety = app => {
  return {
    name: '大型活动',
    icon: 'kaoqinguanli',
    path: 'publicsafety',
    children: [
      {
        name: '大型活动',
        path: 'system',
        component: dynamicWrapper(app, [], () =>
          import('../routes/PublicSafety/System')
        )
      }
    ]
  };
};
